Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.impl
Class LoggingManagerImpl

    java.lang.Object
      de.uka.ipd.consensus.foundation.AbstractConsensusFoundationModule
          de.uka.ipd.consensus.impl.LoggingManagerImpl

All Implemented Interfaces:
  ConsensusFoundationManager, ConsensusFoundationModule, EventListener, EvolutionListener, LoggingManager, OntologyListener, RatingListener, UserListener

public class LoggingManagerImpl
extends AbstractConsensusFoundationModule
implements LoggingManager, UserListener, OntologyListener, EvolutionListener, RatingListener

TODO

Version:
  2006-06-14
Author:
  Thomas Much

Field Summary

Fields inherited from interface de.uka.ipd.consensus.foundation.logging.LoggingManager
`LEVEL_ALL, LEVEL_DEBUG, LEVEL_ERROR, LEVEL_FATAL, LEVEL_INFO, LEVEL_OFF, LEVEL_WARN`

Constructor Summary
`LoggingManagerImpl()`

Method Summary
`void` | `associationCreated(OntologyEvent e)` Called by the OntologyManager when an association is created.
`void` | `associationDeleted(EvolutionEvent event)` Called by the EvolutionManager when an association is deleted.
`void` | `associationTopicAdded(OntologyEvent event)` Called by the OntologyManager when topic is added as a player to an association.
`void` | `associationTopicRemoved(OntologyEvent event)` Called by the OntologyManager when player topic is removed from an association.
`void` | `attributeAdded(OntologyEvent event)` Called by the OntologyManager when an attribute is added to a topic.
`void` | `attributeRemoved(OntologyEvent event)` Called by the OntologyManager when an attribute is removed from a topic.
`void` | `attributeValueChanged(OntologyEvent event)` Called by the OntologyManager when an attribute's value is changed.
`void` | `conceptCommentChanged(OntologyEvent event)` Called by the OntologyManager when the comment of a concept has changed.
`void` | `conceptNameChanged(OntologyEvent event)` Called by the OntologyManager when the name of a concept has changed.
`void` | `conceptRatingChanged(RatingEvent event)` Called by the RatingManager when an existing concept's rating was changed.
`void` | `conceptRatingRemoved(RatingEvent event)` Called by the RatingManager when a concept's rating was removed.
`void` | `conceptRatingSet(RatingEvent event)` Called by the RatingManager when a new rating was added to a concept.
`void` | `conceptTypeChanged(OntologyEvent event)` Called by the OntologyManager when a type is added to or removed from a concept.
`void` | `debug(Object message)` Logs the given message if the debug loglevel is active.
`void` | `error(Object message)` Logs the given message if the error loglevel is active.
`void` | `fatal(Object message)` Logs the given message if the fatal loglevel is active.
`int` | `getLevel()` Returns the current loglevel.
`String` | `getVersion()` Returns a version string of the implementation of this module.
`void` | `info(Object message)` Logs the given message if the info loglevel is active.
`void` | `init(Properties config)` This method is called by the `ConsensusFoundation` constructor to initialize the LoggingManager.
`void` | `initCompleted(Properties config, ConsensusFoundationManager cfm)` This method is called by the `ConsensusFoundation` constructor after all available modules have been initialized (i.e. their `init()` method has been called).
`boolean` | `isDebugEnabled()` Checks if the debug loglevel is enabled.
`boolean` | `isErrorEnabled()` Checks if the error loglevel is enabled.
`boolean` | `isFatalEnabled()` Checks if the fatal loglevel is enabled.
`boolean` | `isInfoEnabled()` Checks if the info loglevel is enabled.
`boolean` | `isWarnEnabled()` Checks if the warning loglevel is enabled.
`protected void` | `log(int level, Object message)`
`void` | `occurrenceChanged(OntologyEvent event)` Called by the OntologyManager when an occurrence's value is changed.
`void` | `occurrenceCreated(OntologyEvent event)` Called by the OntologyManager when an occurrence is created.
`void` | `occurrenceRemoved(OntologyEvent event)` Called by the OntologyManager when an occurrence is removed from a topic.
`void` | `setLevel(int level)` Changes the loglevel.
`void` | `shutdown()` Called by `ConsensusFoundation.shutdown()` when the application shuts down.
`void` | `synonymAdded(OntologyEvent event)` Called by the OntologyManager when a synonym is added to a base topic.
`void` | `synonymRemoved(OntologyEvent event)` Called by the OntologyManager when a synonym is removed from a base topic.
`void` | `topicClassChanged(OntologyEvent event)` Called by the OntologyManager when a superclass is added to or removed from a topic.
`void` | `topicCreated(OntologyEvent e)` Called by the OntologyManager when a topic is created.
`void` | `topicDeleted(EvolutionEvent event)` Called by the EvolutionManager when a topic is deleted.
`void` | `topicsMerged(EvolutionEvent event)` Called by the EvolutionManager when two topics are merged.
`void` | `userCreated(UserEvent event)` Called by the UserManager when a new user account has been created
`void` | `userLoggedIn(UserEvent event)` Called by the UserManager when a user logged on.
`void` | `userLoggedOut(UserEvent event)` Called by the UserManager when a user logged off.
`void` | `userRatingChanged(RatingEvent event)` Called by the RatingManager when an existing user's rating was changed.
`void` | `userRatingRemoved(RatingEvent event)` Called by the RatingManager when a user's rating was removed.
`void` | `userRatingSet(RatingEvent event)` Called by the RatingManager when a new rating was added to an user.
`void` | `warn(Object message)` Logs the given message if the warning loglevel is active.
`protected void` | `write(StringBuffer buffer)`

Methods inherited from class de.uka.ipd.consensus.foundation.AbstractConsensusFoundationModule
`finalize, getConsensusFoundationManager, getDynamicRightsManager, getEvolutionManager, getIncentiveManager, getLoggingManager, getOntologyManager, getRatingManager, getUserManager`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.uka.ipd.consensus.foundation.ConsensusFoundationModule
`getConsensusFoundationManager`

Constructor Detail

### LoggingManagerImpl

    public LoggingManagerImpl()

Method Detail

### init

    public void init(Properties config)
              throws Exception

  Description copied from interface: `LoggingManager`
  This method is called by the `ConsensusFoundation` constructor to initialize the LoggingManager.

  Specified by:
    `init` in interface `LoggingManager`
  Parameters:
    `config` - all entries from `ConsensusFoundation.properties`
  Throws:
    `Exception` - if any error occurs (startup of the application is aborted in this case)
  See Also:
    `ConsensusFoundation.ConsensusFoundation()`

### initCompleted

    public void initCompleted(Properties config,
                              ConsensusFoundationManager cfm)
                       throws Exception

  Description copied from interface: `ConsensusFoundationModule`
  This method is called by the `ConsensusFoundation` constructor after all available modules have been initialized (i.e. their `init()` method has been called). Here a module can perform some final initialization that is dependant on other modules.

  Specified by:
    `initCompleted` in interface `ConsensusFoundationModule`
  Overrides:
    `initCompleted` in class `AbstractConsensusFoundationModule`
  Throws:
    `Exception`

### shutdown

    public void shutdown()

  Description copied from interface: `ConsensusFoundationModule`
  Called by `ConsensusFoundation.shutdown()` when the application shuts down.

  When implementing this method make sure that the shutdown code is executed only once even if this method is called multiple times.

  Specified by:
    `shutdown` in interface `ConsensusFoundationModule`
  Overrides:
    `shutdown` in class `AbstractConsensusFoundationModule`

### setLevel

    public void setLevel(int level)

  Description copied from interface: `LoggingManager`
  Changes the loglevel. See the loglevel constants in this interface.

  Specified by:
    `setLevel` in interface `LoggingManager`
  Parameters:
    `level` - the new loglevel
  See Also:
    `LoggingManager.getLevel()`

### getLevel

    public int getLevel()

  Description copied from interface: `LoggingManager`

  Returns the current loglevel. See the loglevel constants in this interface.

  To check whether a certain level is active, use one of the `isXXXEnabled()` methods.

  Specified by:
    `getLevel` in interface `LoggingManager`
  Returns:
    the current loglevel
  See Also:
    `LoggingManager.setLevel(int)`

### isDebugEnabled

    public boolean isDebugEnabled()

  Description copied from interface: `LoggingManager`
  Checks if the debug loglevel is enabled. This is true if a higher level (all) is enabled, too.

  Specified by:
    `isDebugEnabled` in interface `LoggingManager`
  Returns:
    `true` if debugging messages are logged, `false` otherwise
  See Also:
    `LoggingManager.LEVEL_DEBUG`

### isInfoEnabled

    public boolean isInfoEnabled()

  Description copied from interface: `LoggingManager`
  Checks if the info loglevel is enabled. This is true if a higher level (debug, all) is enabled, too.

  Specified by:
    `isInfoEnabled` in interface `LoggingManager`
  Returns:
    `true` if info messages are logged, `false` otherwise
  See Also:
    `LoggingManager.LEVEL_INFO`

### isWarnEnabled

    public boolean isWarnEnabled()

  Description copied from interface: `LoggingManager`
  Checks if the warning loglevel is enabled. This is true if a higher level (info, debug, all) is enabled, too.

  Specified by:
    `isWarnEnabled` in interface `LoggingManager`
  Returns:
    `true` if warning messages are logged, `false` otherwise
  See Also:
    `LoggingManager.LEVEL_WARN`

### isErrorEnabled

    public boolean isErrorEnabled()

  Description copied from interface: `LoggingManager`
  Checks if the error loglevel is enabled. This is true if a higher level (warn, info, debug, all) is enabled, too.

  Specified by:
    `isErrorEnabled` in interface `LoggingManager`
  Returns:
    `true` if error messages are logged, `false` otherwise
  See Also:
    `LoggingManager.LEVEL_ERROR`

### isFatalEnabled

    public boolean isFatalEnabled()

  Description copied from interface: `LoggingManager`
  Checks if the fatal loglevel is enabled. This is true if a higher level (error, warn, info, debug, all) is enabled, too.

  Specified by:
    `isFatalEnabled` in interface `LoggingManager`
  Returns:
    `true` if fatal messages are logged, `false` otherwise
  See Also:
    `LoggingManager.LEVEL_FATAL`

### log

    protected void log(int level,
                       Object message)

### write

    protected void write(StringBuffer buffer)

### debug

    public void debug(Object message)

  Description copied from interface: `LoggingManager`
  Logs the given message if the debug loglevel is active.

  Specified by:
    `debug` in interface `LoggingManager`
  Parameters:
    `message` - the message to be logged
  See Also:
    `LoggingManager.isDebugEnabled()`

### info

    public void info(Object message)

  Description copied from interface: `LoggingManager`
  Logs the given message if the info loglevel is active.

  Specified by:
    `info` in interface `LoggingManager`
  Parameters:
    `message` - the message to be logged
  See Also:
    `LoggingManager.isInfoEnabled()`

### warn

    public void warn(Object message)

  Description copied from interface: `LoggingManager`
  Logs the given message if the warning loglevel is active.

  Specified by:
    `warn` in interface `LoggingManager`
  Parameters:
    `message` - the message to be logged
  See Also:
    `LoggingManager.isWarnEnabled()`

### error

    public void error(Object message)

  Description copied from interface: `LoggingManager`
  Logs the given message if the error loglevel is active.

  Specified by:
    `error` in interface `LoggingManager`
  Parameters:
    `message` - the message to be logged
  See Also:
    `LoggingManager.isErrorEnabled()`

### fatal

    public void fatal(Object message)

  Description copied from interface: `LoggingManager`
  Logs the given message if the fatal loglevel is active.

  Specified by:
    `fatal` in interface `LoggingManager`
  Parameters:
    `message` - the message to be logged
  See Also:
    `LoggingManager.isFatalEnabled()`

### userCreated

    public void userCreated(UserEvent event)

  Description copied from interface: `UserListener`
  Called by the UserManager when a new user account has been created

  Specified by:
    `userCreated` in interface `UserListener`
  Parameters:
    `event` - the UserEvent object containing the new user account

### userLoggedIn

    public void userLoggedIn(UserEvent event)

  Description copied from interface: `UserListener`
  Called by the UserManager when a user logged on.

  Specified by:
    `userLoggedIn` in interface `UserListener`
  Parameters:
    `event` - the UserEvent object containing the user who logged on

### userLoggedOut

    public void userLoggedOut(UserEvent event)

  Description copied from interface: `UserListener`
  Called by the UserManager when a user logged off.

  Specified by:
    `userLoggedOut` in interface `UserListener`
  Parameters:
    `event` - the UserEvent object containing the user who logged off

### conceptRatingChanged

    public void conceptRatingChanged(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when an existing concept's rating was changed.

  Specified by:
    `conceptRatingChanged` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the user, his rating and the rated concept

### conceptRatingSet

    public void conceptRatingSet(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when a new rating was added to a concept.

  Specified by:
    `conceptRatingSet` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the user, his rating and the rated concept

### conceptRatingRemoved

    public void conceptRatingRemoved(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when a concept's rating was removed.

  Specified by:
    `conceptRatingRemoved` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the user, the removed rating and the rated concept

### userRatingChanged

    public void userRatingChanged(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when an existing user's rating was changed.

  Specified by:
    `userRatingChanged` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the rating user, his rating and the rated user

### userRatingSet

    public void userRatingSet(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when a new rating was added to an user.

  Specified by:
    `userRatingSet` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the rating user, his rating and the rated user

### userRatingRemoved

    public void userRatingRemoved(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when a user's rating was removed.

  Specified by:
    `userRatingRemoved` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the user, the removed rating and the rated user

### topicCreated

    public void topicCreated(OntologyEvent e)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a topic is created.

  `OntologyEvent.getConcept()` returns the newly created topic.

  Specified by:
    `topicCreated` in interface `OntologyListener`
  Parameters:
    `e` - the OntologyEvent object containing the user and the newly created topic

### associationCreated

    public void associationCreated(OntologyEvent e)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an association is created.

  `OntologyEvent.getConcept()` returns the newly created association.

  Specified by:
    `associationCreated` in interface `OntologyListener`
  Parameters:
    `e` - the OntologyEvent object containing the user and the newly created association

### conceptCommentChanged

    public void conceptCommentChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when the comment of a concept has changed.

  `OntologyEvent.getConcept()` returns the base concept, `OntologyEvent.getOldValue()` the comment's old value.

  Specified by:
    `conceptCommentChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the comment's old value

### conceptNameChanged

    public void conceptNameChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when the name of a concept has changed.

  `OntologyEvent.getConcept()` returns the base concept, `OntologyEvent.getOldValue()` the concept's old name.

  Specified by:
    `conceptNameChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the concept's old name

### conceptTypeChanged

    public void conceptTypeChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a type is added to or removed from a concept.

  `OntologyEvent.getConcept()` returns the base concept, `OntologyEvent.getOldType()` the concept's old type. For topics, the old type is `null` if a new type is added.

  Specified by:
    `conceptTypeChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the concept's old type

### topicClassChanged

    public void topicClassChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a superclass is added to or removed from a topic.

  `OntologyEvent.getConcept()` returns the base topic. `OntologyEvent.getOldType()` returns the topic's old superclass if it was removed, or `null` if a superclass was added.

  Specified by:
    `topicClassChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the concept's old superclass

### associationTopicAdded

    public void associationTopicAdded(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when topic is added as a player to an association.

  `OntologyEvent.getConcept()` returns the association, `OntologyEvent.getTopic()` the added topic.

  Specified by:
    `associationTopicAdded` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the association and the added topic

### associationTopicRemoved

    public void associationTopicRemoved(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when player topic is removed from an association.

  `OntologyEvent.getConcept()` returns the association, `OntologyEvent.getTopic()` the removed topic.

  Specified by:
    `associationTopicRemoved` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the association and the removed topic

### attributeAdded

    public void attributeAdded(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an attribute is added to a topic.

  `OntologyEvent.getConcept()` returns the added attribute, `OntologyEvent.getTopic()` the base topic.

  Specified by:
    `attributeAdded` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the added attribute

### attributeValueChanged

    public void attributeValueChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an attribute's value is changed.

  `OntologyEvent.getConcept()` returns the attribute, `OntologyEvent.getOldValue()` the attribute's old value.

  Specified by:
    `attributeValueChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the attribute and its old value

### attributeRemoved

    public void attributeRemoved(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an attribute is removed from a topic.

  `OntologyEvent.getConcept()` returns the removed attribute, `OntologyEvent.getTopic()` the base topic.

  Specified by:
    `attributeRemoved` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the removed attribute

### occurrenceCreated

    public void occurrenceCreated(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an occurrence is created.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getOccurrence()` the newly created occurrence.

  Specified by:
    `occurrenceCreated` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the newly created occurrence

### occurrenceChanged

    public void occurrenceChanged(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an occurrence's value is changed.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getOccurrence()` the occurrence and `OntologyEvent.getOldValue()` the occurrence's old value.

  Specified by:
    `occurrenceChanged` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic, the occurrence and its old value

### occurrenceRemoved

    public void occurrenceRemoved(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when an occurrence is removed from a topic.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getOccurrence()` the removed occurrence.

  Specified by:
    `occurrenceRemoved` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the removed occurrence

### synonymAdded

    public void synonymAdded(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a synonym is added to a base topic.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getSynonym()` the Synonym object that contains both synonymous topics.

  Specified by:
    `synonymAdded` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the synonym

### synonymRemoved

    public void synonymRemoved(OntologyEvent event)

  Description copied from interface: `OntologyListener`
  Called by the OntologyManager when a synonym is removed from a base topic.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getSynonym()` the removed Synonym object that contains both synonymous topics.

  Specified by:
    `synonymRemoved` in interface `OntologyListener`
  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the synonym

### associationDeleted

    public void associationDeleted(EvolutionEvent event)

  Description copied from interface: `EvolutionListener`
  Called by the EvolutionManager when an association is deleted.

  `EvolutionEvent.getConcept()` contains the deleted association.

  Specified by:
    `associationDeleted` in interface `EvolutionListener`
  Parameters:
    `event` - the EvolutionEvent object containing the user and the deleted association
  See Also:
    `EvolutionManager.deleteAssociation(User, Association)`

### topicDeleted

    public void topicDeleted(EvolutionEvent event)

  Description copied from interface: `EvolutionListener`
  Called by the EvolutionManager when a topic is deleted.

  `EvolutionEvent.getConcept()` contains the deleted topic.

  Specified by:
    `topicDeleted` in interface `EvolutionListener`
  Parameters:
    `event` - the EvolutionEvent object containing the user and the deleted topic
  See Also:
    `EvolutionManager.deleteTopic(User, Topic)`, `EvolutionManager.deleteTopicAndSubtopics(User, Topic)`

### topicsMerged

    public void topicsMerged(EvolutionEvent event)

  Description copied from interface: `EvolutionListener`
  Called by the EvolutionManager when two topics are merged.

  `EvolutionEvent.getConcept()` contains one of the merged topics, `EvolutionEvent.getTopic()` the other.

  Specified by:
    `topicsMerged` in interface `EvolutionListener`
  Parameters:
    `event` - the EvolutionEvent object containing the user and the two merged topics
  See Also:
    `EvolutionManager.mergeTopics(User, Topic, Topic)`

### getVersion

    public String getVersion()

  Description copied from interface: `ConsensusFoundationModule`
  Returns a version string of the implementation of this module.

  Specified by:
    `getVersion` in interface `ConsensusFoundationModule`
  Returns:
    the version of the module's implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD